Name: H5Pget_preserve
Signature:
  int `H5Pget_preserve`(hid_t `plist`)
Purpose:
  Checks status of the dataset transfer property list.
Description:
  `H5Pget_preserve` checks the status of the dataset transfer property list.
Parameters:

hid_t `plist` | IN: Identifier for the dataset transfer property list.

Returns:
  Returns TRUE or FALSE if successful; otherwise returns a negative value.
Fortran90 Interface: h5pget_preserve_f

      SUBROUTINE h5pget_preserve_f(prp_id, flag, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: prp_id   ! Dataset transfer property
                                               ! list identifier
        LOGICAL, INTENT(OUT)       :: flag     ! Status of for the dataset
                                               ! transfer property list
        INTEGER, INTENT(OUT)       :: hdferr   ! Error code
                                               ! 0 on success and -1 on failure
      END SUBROUTINE h5pget_preserve_f

History:

Release | Fortran90
1.6.0 | The `flag` parameter was changed from INTEGER to LOGICAL to better match the C API.